#include <bits/stdc++.h>
using namespace std;


int main() {
 long long int n, a[100000], answer=0, k=0, i=0, ii=0;
 cin>>n;
 for(int i=1; i<=n; i++) {
     cin>>a[i];
 }



 for(int k=n; k>=0; k--) {
answer=answer+a[k];



for(int i=k; i>0; i--) {

if(a[i]<a[k]) {
    a[i]--;
}


}




a[k]=0;

 }

 cout<<answer+1;

}
